Skip to content

获取所有 ACME 证书订单列表

列出所有 ACME 证书申请订单,包括进行中、已完成和已过期的订单。

POST
https://your-panel.example.com:8888/acme
更新于 查看 Markdown

Request bodyX-WWW-FORM-URLENCODEDrequired

  • request_timestringrequired

    Unix 时间戳。

  • request_tokenstringrequired

    按 API 概览生成的签名。

  • actionget_ordersrequired

    具体操作名称。

Returns

default

接口响应,业务状态见下方详细说明。

各操作详细说明

get_ordersaction=get_orders获取所有 ACME 证书订单列表

列出所有 ACME 证书申请订单,包括进行中、已完成和已过期的订单。

  • 路由:POST /acme
  • action:get_orders

输入参数

参数名称 必选 类型 描述
action 是 String 固定值 get_orders

无其他参数。

输出参数

参数名称 类型 描述
- Array<Object> 订单列表,每项含 index(ID)、domains(域名)、status(状态)、cert_timeout(到期时间)

示例

请求

POST /acme HTTP/1.1
Host: 192.168.168.213:8888
Content-Type: application/x-www-form-urlencoded

action=get_orders

响应

[{
  "index": "851cc157ad22888459e59c3cfdc5ac95",
  "domains": ["dnstest.cc"],
  "status": "valid",
  "cert_timeout": 1780111135,
  "auth_type": "dns",
  "create_time": 1779506335
}]
Navigation

Type to search…

↑↓ navigate↵ selectEsc close